Mantis Bug Tracker

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000393FirmwareScheduler (Inj/Ign)public2011-11-15 18:172011-11-28 10:22
ReporterFred 
Assigned ToPreston 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.2.0-SNAPSHOT 
Target Version0.2.0Fixed in Version0.2.0 
Summary0000393: Tooth To Tooth Sched Swaps Don't Always Work
DescriptionWhen above the rpm when extended delays were no longer required, it works fine, but crossing the bridge from one to the other, there is the EXTREMELY unlikely possibility of an event being missed or even (in the going lower scenario, which virtually NEVER happens) an extra event being scheduled. Fix it!
TagsNo tags attached.
FirmwareVersion
Issue TypeBug
Risk of Breakagevery high
Attached Files

- Relationships

-  Notes
User avatar (0000582)
Fred (administrator)
2011-11-15 18:19

Work is occurring on this issue now!
User avatar (0000595)
Fred (administrator)
2011-11-16 18:55

Available in db68edaa4fc422b8037642d34ea7acc45b29f922 once tested by all three and pushed. Please close once confirmed and happy, and not before.
User avatar (0000638)
Fred (administrator)
2011-11-21 17:18

Redoing this work as previous fix was broken.
User avatar (0000713)
Fred (administrator)
2011-11-27 15:37

Fixed in a temp commit, close once tested on the vehicle through a few starts and a few revs to 5k under various loads.
User avatar (0000722)
Preston (updater)
2011-11-28 10:22

Test results confirm that issue has been resolved --> tested on 28 November in the mighty Hotel Hyundai up to 5800 RPM.


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker